time_parameters:
  simulated_time_start: 1626064800.0
  real_time_factor: 1.0
  simulated_duration: 300.0
pre_simulation:
  outputs:
    orbit_env_outputs:
      database_presim: presim.db
      database_sim: simdata.db
      orbit_env: true
  components:
  - name: orbit
    class: Orbit
    method: propagate_orbit
    parameters:
      database: presim.db
      sampling_rate: 1.0
  - name: environment
    class: Environment
    method: propagate_environment
    parameters:
      database: presim.db
      sampling_rate: 1.0
simulation:
  outputs:
    simulation_outputs:
      database_presim: presim.db
      database_sim: simdata.db
      orbit_env: false
  components:
  - name: FluxMag_X
    class: FluxgateMagnetometer
    start_simulation_time: 0.15
    parameters:
      database: simdata.db
      sampling_rate: 0.5
      active: true
  - name: dynamics
    class: Dynamics
    start_simulation_time: 0.0
    parameters:
      database: simdata.db
      sampling_rate: 10
  - name: gyro
    class: MEMS3AxisGyroscope
    start_simulation_time: 0.5
    parameters:
      database: simdata.db
      sampling_rate: 0.5
      active: false
  - name: acceleration
    class: MEMS3AxisAccelerationSensor
    start_simulation_time: 0.5
    parameters:
      database: simdata.db
      sampling_rate: 2
  - name: earth_sensor
    class: EarthSensor
    start_simulation_time: 0.5
    parameters:
      database: simdata.db
      sampling_rate: 0.5
  - name: finesunsensor
    class: FineSunSensor
    start_simulation_time: 0.5
    parameters:
      database: simdata.db
      sampling_rate: 0.5
  - name: photodiode
    class: Photodiode
    start_simulation_time: 0.5
    parameters:
      database: simdata.db
      sampling_rate: 0.5
  - name: 'json_grabber'
    class: 'MakeDict'
    start_simulation_time: 0.
